Forgot password?

Create an account!

Forum

« back

RhinoScript – 3d coordinate of point

Messages

Please log in to write a message.

  • 2. Hanno (Mar 30, 2013 10.37):

    Hi,

    pay attention to the difference between a 3d point (i.e. coordinates) and a point object reference (i.e. an ID referencing a point object in the model).
    ObjectyByType gives you references. Use PointCoordinates to get the point coordinates.
    Another thing: arrObjects is an array of object references. You have to loop through the items drawing a circle for each individually.

    Hope that helps

    Hanno

  • 1. kadirsyk (Mar 29, 2013 22.29):

    hello
    ?m trying to draw a circle at an existing point's coordinate.

    Dim arrObjects

    arrObjects = Rhino.ObjectsByType(1, True)

    Rhino.AddCircle arrObjects, 10

    arrObjects is not an array how can ? convert to array?

Recommend

Why are these buttons gray?